// Copyright (C) 2008, 2009 by Florent Lamiraux, Thomas Moulard, CNRS.
//
// This file is part of the hpp-walkfootplanner.
//
// This software is provided "as is" without warranty of any kind,
// either expressed or implied, including but not limited to the
// implied warranties of fitness for a particular purpose.
//
// See the COPYING file for more information.

#ifndef HPPWALKFOOTPLANNER_HUMANOID_BOX_BUILDER_HH
# define HPPWALKFOOTPLANNER_HUMANOID_BOX_BUILDER_HH
# include <utility>

# include <hpp/walkfootplanner/config.hh>
# include <hpp/walkfootplanner/fwd.hh>

namespace hpp
{
  namespace walkFootPlanner
  {
    class HPP_WALKFOOTPLANNER_DLLAPI HumanoidBoxBuilder
    {
    public:
      HumanoidBoxBuilder ();
      ~HumanoidBoxBuilder ();

      std::pair<model::DeviceShPtr, CkppKCDBoxShPtr>
	operator()
	(const std::vector<CkcdObjectShPtr>& obstacleList,
	 double xMin, double yMin, double zMin,
	 double xMax, double yMax, double zMax);
    };
  } // end of namespace walkFootPlanner.
} // end of namespace hpp.

#endif //! HPPWALKFOOTPLANNER_HUMANOID_BOX_BUILDER_HH
